import ResponseCode from './response-code';
declare type ErrorResponse<T> = ResponseCode<T> & {
    _msg?: string;
};
export declare type InvalidErrorResponse = ErrorResponse<'Invalid'>;
export declare type InvalidTokenErrorResponse = ErrorResponse<'InvalidToken'>;
export declare type TooManyRequestsErrorResponse = ErrorResponse<'TooManyRequests'>;
export declare type LockFailErrorResponse = ErrorResponse<'LockFail'>;
export declare type UnauthorizedErrorResponse = ErrorResponse<'Unauthorized'>;
export declare type NotFoundErrorResponse = ErrorResponse<'NotFound'>;
export declare type NodeNotFoundErrorResponse = ErrorResponse<'NodeNotFound'>;
export declare type NoInboxErrorResponse = ErrorResponse<'NoInbox'>;
export declare type NeedProErrorResponse = ErrorResponse<'NeedPro'>;
export declare type QuotaExceededErrorResponse = ErrorResponse<'QuotaExceeded'>;
export {};
