import * as E from './errors';
import ResponseCode from './response-code';
declare type SuccessResponse<T> = ResponseCode<'Ok'> & T;
export declare type CommonResponseWithoutLockFail<TSuccess> = SuccessResponse<TSuccess> | E.InvalidErrorResponse | E.InvalidTokenErrorResponse | E.TooManyRequestsErrorResponse;
export declare type CommonResponse<TSuccess> = CommonResponseWithoutLockFail<TSuccess> | E.LockFailErrorResponse;
export {};
