import * as E from './errors';
import { CommonResponse, CommonResponseWithoutLockFail } from './helpers';
export declare type ParameterizedFileListResponse<T> = CommonResponse<T>;
export declare type ParameterizedFileEditResponse<T> = CommonResponse<T>;
export declare type ParameterizedDocReadResponse<T> = CommonResponse<T> | E.UnauthorizedErrorResponse | E.NotFoundErrorResponse;
export declare type ParameterizedDocCheckForUpdatesResponse<T> = CommonResponseWithoutLockFail<T>;
export declare type ParameterizedDocEditResponse<T> = CommonResponse<T> | E.UnauthorizedErrorResponse | E.NotFoundErrorResponse | E.NodeNotFoundErrorResponse;
export declare type ParameterizedInboxAddResponse<T> = CommonResponse<T> | E.NoInboxErrorResponse;
export declare type ParameterizedUploadResponse<T> = CommonResponseWithoutLockFail<T> | E.NeedProErrorResponse | E.QuotaExceededErrorResponse;
export declare type ParameterizedPrefGetResponse<T> = CommonResponseWithoutLockFail<T>;
export declare type ParameterizedPrefSetResponse<T> = CommonResponseWithoutLockFail<T>;
